## org.mortbay.util
Interface Attributes

All Known Implementing Classes:
  AttributesMap, Context, ContextHandler, Jetty6PluginWebAppContext, JettyFactoryBean, MovedContextHandler, Server, SetUIDServer, WebAppContext

    public interface Attributes

Attributes. Interface commonly used for storing attributes.

Author:
  gregw

Method Summary
`void` `clearAttributes()`
`Object` `getAttribute(String name)`
`Enumeration` `getAttributeNames()`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object attribute)`

Method Detail

### removeAttribute

    void removeAttribute(String name)

### setAttribute

    void setAttribute(String name,
                      Object attribute)

### getAttribute

    Object getAttribute(String name)

### getAttributeNames

    Enumeration getAttributeNames()

### clearAttributes

    void clearAttributes()

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.